# PlayerStonecutterRecipeSelectEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.player, class: PlayerStonecutterRecipeSelectEvent

Package io.papermc.paper.event.player

# Class PlayerStonecutterRecipeSelectEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerStonecutterRecipeSelectEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerStonecutterRecipeSelectEvent extends PlayerEvent implements Cancellable

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerStonecutterRecipeSelectEvent(@NotNull Player player, @NotNull StonecutterInventory stonecutterInventory, @NotNull StonecuttingRecipe stonecuttingRecipe)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull StonecutterInventory`
`getStonecutterInventory()`
`@NotNull StonecuttingRecipe`
`getStonecuttingRecipe()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setStonecuttingRecipe(@NotNull StonecuttingRecipe stonecuttingRecipe)`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerStonecutterRecipeSelectEvent

public PlayerStonecutterRecipeSelectEvent(@NotNull @NotNull Player player, @NotNull @NotNull StonecutterInventory stonecutterInventory, @NotNull @NotNull StonecuttingRecipe stonecuttingRecipe)

## Method Details

### getStonecutterInventory

@NotNull public @NotNull StonecutterInventory getStonecutterInventory()

### getStonecuttingRecipe

@NotNull public @NotNull StonecuttingRecipe getStonecuttingRecipe()

### setStonecuttingRecipe

public void setStonecuttingRecipe(@NotNull @NotNull StonecuttingRecipe stonecuttingRecipe)

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()